/* @(#)shop_subs.h
 */

#ifndef _SHOP_SUBS_H
#define _SHOP_SUBS_H 1

/* -------------------------------------------------------------------- */
/* Constants for the flag indicating if mutual exclusion is enforced.	*/
/* -------------------------------------------------------------------- */
#define MUTUAL_EXCLUSION_OFF	0
#define MUTUAL_EXCLUSION_ON	1

int open_barbershop(int, int, int);
void close_barbershop();
void barber_enters_barbershop();
void barber_leaves_barbershop();
void barber_becomes_busy();
void barber_goes_to_sleep();
void customer_enters_barbershop(int);
void customer_leaves_barbershop(int);
void customer_gets_waiting_chair(int);
void customer_gets_barber_chair(int);
void customer_has_haircut(int);
void draw_headings(int, int, int);
void draw_char(int, int, char);
void draw_string(int, int, char*);
void draw_message(char*);

#endif /* _SHOP_SUBS_H */

